// pages/welfareMall/activityList/activityList.js

import WelfareMall from '../../../api/welfareMall';
Page({

  /**
   * 页面的初始数据
   */
  data: {
      type:1, //1免费 2 收费
      page:1,
      pageSize:10,
      list:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getActivityList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  gotoFree:function () {
    this.setData({
      type:1,
      page:1
    })
    this.getActivityList();
  },
  gotoPay:function () {
    this.setData({
      type:2,
      page:1
    })
    this.getActivityList();
  },
  goCouponDetail:function(e){
    let activityId = e.currentTarget.dataset.id   
    wx.navigateTo({
      url: '/pages/welfareMall/activityInfo/activityInfo?activityId='+ activityId,
    })
  },

  // 1是免费，2是收费
   getActivityList: async function() {

   
    let res = await WelfareMall.getActivityList(this.data.type,this.data.page,this.data.pageSize)
    console.log(res);
    this.setData({
      list:res.data
    })
  }
})